Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Console.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Console.cs	(revision 956)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Console.cs	(revision 957)
@@ -33,9 +33,7 @@
 namespace HeuristicLab.CEDMA.Core {
   public class Console : ItemBase, IEditable {
-    private AgentList agentList;
-    private ResultList resultsList;
-    private DatabaseOperatorLibrary operatorLibary;
-    private ChannelFactory<IDatabase> factory;
-    private IDatabase database;
+    private DataSetList dataSetList;
+    private ChannelFactory<IStore> factory;
+    private IStore store;
     private string serverUri;
     public string ServerUri {
@@ -43,21 +41,11 @@
     }
 
-    public IAgentList AgentList {
-      get { return agentList; }
-    }
-
-    public ResultList ResultsList {
-      get { return resultsList; }
-    }
-
-    public IOperatorLibrary OperatorLibrary {
-      get { return operatorLibary; }
+    public DataSetList DataSetList {
+      get { return dataSetList; }
     }
 
     public Console()
       : base() {
-      agentList = new AgentList();
-      resultsList = new ResultList();
-      operatorLibary = new DatabaseOperatorLibrary();
+      dataSetList = new DataSetList();
     }
 
@@ -92,12 +80,7 @@
       binding.ReaderQuotas.MaxArrayLength = 100000000; // also 100M elements;
       binding.Security.Mode = SecurityMode.None;
-      factory = new ChannelFactory<IDatabase>(binding);
-      database = factory.CreateChannel(new EndpointAddress(serverUri));
-      agentList.Database = database;
-      operatorLibary.Database = database;
-
-      ChannelFactory<IStore> storeFactory = new ChannelFactory<IStore>(binding);
-      IStore store = storeFactory.CreateChannel(new EndpointAddress(serverUri + "/RdfStore"));
-      resultsList.Store = store;
+      factory = new ChannelFactory<IStore>(binding);
+      store = factory.CreateChannel(new EndpointAddress(serverUri));
+      dataSetList.Store = store;
     }
     #endregion
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSet.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSet.cs	(revision 957)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSet.cs	(revision 957)
@@ -0,0 +1,69 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Core;
+using System.Xml;
+using HeuristicLab.CEDMA.DB.Interfaces;
+using HeuristicLab.Operators;
+
+namespace HeuristicLab.CEDMA.Core {
+  public class DataSet {
+    public IStore Store { get; set; }
+    public long Id { get; set; }
+    public string Name { get; set; }
+    private Problem problem;
+
+    public Problem Problem {
+      get { return problem; }
+    }
+
+    public DataSet()
+      : base() {
+      problem = new Problem();
+    }
+
+    public DataSet(IStore store, long id)
+      : this() {
+      Store = store;
+      Id = id;
+    }
+
+    public void Save() {
+      throw new NotImplementedException();
+    }
+
+    public void Activate() {
+      throw new NotImplementedException();
+    }
+
+    private void UpdateDataSet(long Id, byte[] p) {
+      throw new NotImplementedException();
+    }
+
+    public IView CreateView() {
+      return new DataSetView(this);
+    }
+  }
+}
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetList.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetList.cs	(revision 957)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetList.cs	(revision 957)
@@ -0,0 +1,88 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Core;
+using System.Collections;
+using HeuristicLab.CEDMA.DB.Interfaces;
+using System.Xml;
+using System.Runtime.Serialization;
+using System.IO;
+using HeuristicLab.Operators;
+
+namespace HeuristicLab.CEDMA.Core {
+  public class DataSetList : ItemBase, IEnumerable<DataSet> {
+    private List<DataSet> dataSetList;
+    private IStore store;
+    public IStore Store {
+      get { return store; }
+      set {
+        store = value;
+        Action reload = ReloadList;
+        lock(dataSetList) {
+          dataSetList.Clear();
+        }
+        reload.BeginInvoke(null, null);
+      }
+    }
+
+    public DataSetList()
+      : base() {
+      dataSetList = new List<DataSet>();
+    }
+
+    public override IView CreateView() {
+      return new DataSetListView(this);
+    }
+
+    private void ReloadList() {
+      throw new NotImplementedException();
+      //foreach( a in database.GetAgents()) {
+      //  Agent newAgent = new Agent(Database, a.Id);
+      //  newAgent.Name = a.Name;
+      //  newAgent.Status = a.Status;
+      //  lock(agentList) {
+      //    agentList.Add(newAgent);
+      //  }
+      //  FireChanged();
+      //}
+    }
+
+    internal static void CreateDataSet() {
+      throw new NotImplementedException();
+    }
+
+    public IEnumerator<DataSet> GetEnumerator() {
+      List<DataSet> dataSets = new List<DataSet>();
+      lock(dataSets) {
+        dataSets.AddRange(dataSetList);
+      }
+      return dataSets.GetEnumerator();
+    }
+
+    IEnumerator IEnumerable.GetEnumerator() {
+      return GetEnumerator();
+    }
+  }
+}
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.Designer.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.Designer.cs	(revision 957)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.Designer.cs	(revision 957)
@@ -0,0 +1,181 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Windows.Forms;
+
+namespace HeuristicLab.CEDMA.Core {
+  partial class DataSetListView {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if(disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.splitContainer1 = new System.Windows.Forms.SplitContainer();
+      this.agentsGroupBox = new System.Windows.Forms.GroupBox();
+      this.agentTreeView = new System.Windows.Forms.TreeView();
+      this.detailsGroupBox = new System.Windows.Forms.GroupBox();
+      this.addButton = new System.Windows.Forms.Button();
+      this.refreshButton = new System.Windows.Forms.Button();
+      this.entryContextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
+      this.exportAllResultsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.splitContainer1.Panel1.SuspendLayout();
+      this.splitContainer1.Panel2.SuspendLayout();
+      this.splitContainer1.SuspendLayout();
+      this.agentsGroupBox.SuspendLayout();
+      this.entryContextMenuStrip.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // splitContainer1
+      // 
+      this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer1.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
+      this.splitContainer1.Location = new System.Drawing.Point(0, 0);
+      this.splitContainer1.Name = "splitContainer1";
+      // 
+      // splitContainer1.Panel1
+      // 
+      this.splitContainer1.Panel1.Controls.Add(this.agentsGroupBox);
+      // 
+      // splitContainer1.Panel2
+      // 
+      this.splitContainer1.Panel2.Controls.Add(this.detailsGroupBox);
+      this.splitContainer1.Size = new System.Drawing.Size(276, 155);
+      this.splitContainer1.SplitterDistance = 135;
+      this.splitContainer1.TabIndex = 0;
+      // 
+      // agentsGroupBox
+      // 
+      this.agentsGroupBox.Controls.Add(this.agentTreeView);
+      this.agentsGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.agentsGroupBox.Location = new System.Drawing.Point(0, 0);
+      this.agentsGroupBox.Name = "agentsGroupBox";
+      this.agentsGroupBox.Size = new System.Drawing.Size(135, 155);
+      this.agentsGroupBox.TabIndex = 0;
+      this.agentsGroupBox.TabStop = false;
+      this.agentsGroupBox.Text = "&Agents";
+      // 
+      // agentTreeView
+      // 
+      this.agentTreeView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.agentTreeView.Location = new System.Drawing.Point(3, 16);
+      this.agentTreeView.Name = "agentTreeView";
+      this.agentTreeView.Size = new System.Drawing.Size(129, 136);
+      this.agentTreeView.TabIndex = 0;
+      this.agentTreeView.BeforeExpand += new System.Windows.Forms.TreeViewCancelEventHandler(this.agentTreeView_BeforeExpand);
+      this.agentTreeView.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.agentTreeView_AfterSelect);
+      // 
+      // detailsGroupBox
+      // 
+      this.detailsGroupBox.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.detailsGroupBox.Location = new System.Drawing.Point(0, 0);
+      this.detailsGroupBox.Name = "detailsGroupBox";
+      this.detailsGroupBox.Size = new System.Drawing.Size(137, 155);
+      this.detailsGroupBox.TabIndex = 0;
+      this.detailsGroupBox.TabStop = false;
+      this.detailsGroupBox.Text = "&Details";
+      // 
+      // addButton
+      // 
+      this.addButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.addButton.Location = new System.Drawing.Point(0, 161);
+      this.addButton.Name = "addButton";
+      this.addButton.Size = new System.Drawing.Size(75, 23);
+      this.addButton.TabIndex = 1;
+      this.addButton.Text = "&Add...";
+      this.addButton.UseVisualStyleBackColor = true;
+      this.addButton.Click += new System.EventHandler(this.addButton_Click);
+      // 
+      // refreshButton
+      // 
+      this.refreshButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.refreshButton.Location = new System.Drawing.Point(81, 161);
+      this.refreshButton.Name = "refreshButton";
+      this.refreshButton.Size = new System.Drawing.Size(75, 23);
+      this.refreshButton.TabIndex = 2;
+      this.refreshButton.Text = "&Refresh";
+      this.refreshButton.UseVisualStyleBackColor = true;
+      this.refreshButton.Click += new System.EventHandler(this.refreshButton_Click);
+      // 
+      // entryContextMenuStrip
+      // 
+      this.entryContextMenuStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.exportAllResultsToolStripMenuItem});
+      this.entryContextMenuStrip.Name = "entryContextMenuStrip";
+      this.entryContextMenuStrip.Size = new System.Drawing.Size(166, 26);
+      // 
+      // exportAllResultsToolStripMenuItem
+      // 
+      this.exportAllResultsToolStripMenuItem.Name = "exportAllResultsToolStripMenuItem";
+      this.exportAllResultsToolStripMenuItem.Size = new System.Drawing.Size(165, 22);
+      this.exportAllResultsToolStripMenuItem.Text = "Export all results";
+      this.exportAllResultsToolStripMenuItem.Click += new System.EventHandler(this.exportAllResultsToolStripMenuItem_Click);
+      // 
+      // AgentListView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.refreshButton);
+      this.Controls.Add(this.addButton);
+      this.Controls.Add(this.splitContainer1);
+      this.Name = "AgentListView";
+      this.Size = new System.Drawing.Size(276, 184);
+      this.splitContainer1.Panel1.ResumeLayout(false);
+      this.splitContainer1.Panel2.ResumeLayout(false);
+      this.splitContainer1.ResumeLayout(false);
+      this.agentsGroupBox.ResumeLayout(false);
+      this.entryContextMenuStrip.ResumeLayout(false);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.SplitContainer splitContainer1;
+    private System.Windows.Forms.GroupBox agentsGroupBox;
+    private System.Windows.Forms.GroupBox detailsGroupBox;
+    private System.Windows.Forms.Button addButton;
+    private TreeView agentTreeView;
+    private Button refreshButton;
+    private ContextMenuStrip entryContextMenuStrip;
+    private ToolStripMenuItem exportAllResultsToolStripMenuItem;
+  }
+}
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.cs	(revision 957)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetListView.cs	(revision 957)
@@ -0,0 +1,98 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+
+namespace HeuristicLab.CEDMA.Core {
+  public partial class DataSetListView : ViewBase {
+    public DataSetList DataSetList{
+      get { return (DataSetList)Item; }
+      set { base.Item = value; }
+    }
+
+    public DataSetListView() {
+      InitializeComponent();
+      Caption = "DataSet View";
+    }
+    public DataSetListView(DataSetList dataSetList)
+      : this() {
+      DataSetList = dataSetList;
+      dataSetList.Changed += new EventHandler(dataSetList_Changed);
+    }
+
+    void dataSetList_Changed(object sender, EventArgs e) {
+      UpdateControls();
+    }
+
+    protected override void UpdateControls() {
+      base.UpdateControls();
+      detailsGroupBox.Controls.Clear();
+      detailsGroupBox.Enabled = false;
+      if(DataSetList == null) {
+        Caption = "Data Sets View";
+        agentTreeView.Enabled = false;
+      } else {
+        agentTreeView.Enabled = true;
+        agentTreeView.Nodes.Clear();
+        foreach(DataSet dataSet in DataSetList) {
+          TreeNode node = new TreeNode();
+          node.Text = dataSet.Name;
+          node.Tag = dataSet;
+          node.Nodes.Add("dummy");
+          node.ContextMenuStrip = entryContextMenuStrip;
+          agentTreeView.Nodes.Add(node);
+        }
+      }
+    }
+
+    #region Button Events
+    private void addButton_Click(object sender, EventArgs e) {
+      DataSetList.CreateDataSet();
+    }
+    #endregion
+
+    private void agentTreeView_AfterSelect(object sender, TreeViewEventArgs e) {
+      if(detailsGroupBox.Controls.Count > 0)
+        detailsGroupBox.Controls[0].Dispose();
+      detailsGroupBox.Controls.Clear();
+      detailsGroupBox.Enabled = false;
+      if(agentTreeView.SelectedNode != null) {
+        IViewable viewable = (IViewable)agentTreeView.SelectedNode.Tag;
+        Control control = (Control)viewable.CreateView();
+        detailsGroupBox.Controls.Add(control);
+        control.Dock = DockStyle.Fill;
+        detailsGroupBox.Enabled = true;
+      }
+    }
+
+    private void refreshButton_Click(object sender, EventArgs e) {
+      UpdateControls();
+    }
+  }
+}
+
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs	(revision 957)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.Designer.cs	(revision 957)
@@ -0,0 +1,105 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.CEDMA.Core {
+  partial class DataSetView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if(disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.editorGroupBox = new System.Windows.Forms.GroupBox();
+      this.saveButton = new System.Windows.Forms.Button();
+      this.activateButton = new System.Windows.Forms.Button();
+      this.SuspendLayout();
+      // 
+      // editorGroupBox
+      // 
+      this.editorGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.editorGroupBox.Location = new System.Drawing.Point(0, 3);
+      this.editorGroupBox.Name = "editorGroupBox";
+      this.editorGroupBox.Size = new System.Drawing.Size(274, 119);
+      this.editorGroupBox.TabIndex = 0;
+      this.editorGroupBox.TabStop = false;
+      this.editorGroupBox.Text = "&Editor:";
+      // 
+      // saveButton
+      // 
+      this.saveButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.saveButton.Location = new System.Drawing.Point(4, 128);
+      this.saveButton.Name = "saveButton";
+      this.saveButton.Size = new System.Drawing.Size(75, 23);
+      this.saveButton.TabIndex = 1;
+      this.saveButton.Text = "&Save";
+      this.saveButton.UseVisualStyleBackColor = true;
+      this.saveButton.Click += new System.EventHandler(this.saveButton_Click);
+      // 
+      // activateButton
+      // 
+      this.activateButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.activateButton.Location = new System.Drawing.Point(85, 128);
+      this.activateButton.Name = "activateButton";
+      this.activateButton.Size = new System.Drawing.Size(75, 23);
+      this.activateButton.TabIndex = 2;
+      this.activateButton.Text = "&Start";
+      this.activateButton.UseVisualStyleBackColor = true;
+      this.activateButton.Click += new System.EventHandler(this.activateButton_Click);
+      // 
+      // AgentView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.activateButton);
+      this.Controls.Add(this.saveButton);
+      this.Controls.Add(this.editorGroupBox);
+      this.Name = "AgentView";
+      this.Size = new System.Drawing.Size(274, 154);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.GroupBox editorGroupBox;
+    private System.Windows.Forms.Button saveButton;
+    private System.Windows.Forms.Button activateButton;
+  }
+}
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.cs	(revision 957)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/DataSetView.cs	(revision 957)
@@ -0,0 +1,65 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+using HeuristicLab.CEDMA.DB.Interfaces;
+
+namespace HeuristicLab.CEDMA.Core {
+  public partial class DataSetView : ViewBase {
+    private DataSet dataSet;
+    public DataSet DataSet {
+      get { return dataSet; }
+      set { dataSet = value; }
+    }
+
+    public DataSetView() {
+      InitializeComponent();
+      Caption = "Data Set";
+    }
+    public DataSetView(DataSet dataSet)
+      : this() {
+      DataSet = dataSet;
+      UpdateControls();
+    }
+
+    protected override void UpdateControls() {
+      base.UpdateControls();
+      editorGroupBox.Controls.Clear();
+      editorGroupBox.Enabled = false;
+    }
+
+    private void saveButton_Click(object sender, EventArgs e) {
+      DataSet.Save();
+    }
+
+    private void activateButton_Click(object sender, EventArgs e) {
+      DataSet.Activate();
+      activateButton.Enabled = false;
+    }
+  }
+}
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj	(revision 956)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/HeuristicLab.CEDMA.Core.csproj	(revision 957)
@@ -72,40 +72,25 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Agent.cs" />
-    <Compile Include="AgentList.cs" />
     <Compile Include="Console.cs" />
     <Compile Include="ConsoleEditor.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="ResultTable.cs" />
-    <Compile Include="ResultExporter.cs" />
-    <Compile Include="DatabaseOperatorLibrary.cs" />
-    <Compile Include="DatabaseOperatorLibraryView.cs">
+    <Compile Include="Problem.cs" />
+    <Compile Include="DataSet.cs" />
+    <Compile Include="DataSetList.cs" />
+    <Compile Include="DataSetListView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="DatabaseOperatorLibraryView.Designer.cs">
-      <DependentUpon>DatabaseOperatorLibraryView.cs</DependentUpon>
+    <Compile Include="DataSetListView.Designer.cs">
+      <DependentUpon>DataSetListView.cs</DependentUpon>
     </Compile>
-    <Compile Include="OperatorLink.cs" />
-    <Compile Include="OperatorLinkPatcher.cs" />
-    <Compile Include="Result.cs" />
-    <Compile Include="IResult.cs" />
-    <Compile Include="HeuristicLabCedmaCorePlugin.cs" />
-    <Compile Include="IAgent.cs" />
-    <Compile Include="IAgentList.cs" />
-    <Compile Include="IDatabaseItem.cs" />
-    <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="AgentListView.cs">
+    <Compile Include="DataSetView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="AgentListView.Designer.cs">
-      <DependentUpon>AgentListView.cs</DependentUpon>
+    <Compile Include="DataSetView.Designer.cs">
+      <DependentUpon>DataSetView.cs</DependentUpon>
     </Compile>
-    <Compile Include="AgentView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="AgentView.Designer.cs">
-      <DependentUpon>AgentView.cs</DependentUpon>
-    </Compile>
+    <Compile Include="HeuristicLabCedmaCorePlugin.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
   <ItemGroup>
@@ -135,19 +120,13 @@
   </ItemGroup>
   <ItemGroup>
-    <EmbeddedResource Include="AgentListView.resx">
-      <DependentUpon>AgentListView.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <EmbeddedResource Include="AgentView.resx">
-      <DependentUpon>AgentView.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
     <EmbeddedResource Include="ConsoleEditor.resx">
       <DependentUpon>ConsoleEditor.cs</DependentUpon>
       <SubType>Designer</SubType>
     </EmbeddedResource>
-    <EmbeddedResource Include="DatabaseOperatorLibraryView.resx">
-      <DependentUpon>DatabaseOperatorLibraryView.cs</DependentUpon>
-      <SubType>Designer</SubType>
+    <EmbeddedResource Include="DataSetListView.resx">
+      <DependentUpon>DataSetListView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="DataSetView.resx">
+      <DependentUpon>DataSetView.cs</DependentUpon>
     </EmbeddedResource>
   </ItemGroup>
Index: /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Problem.cs
===================================================================
--- /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Problem.cs	(revision 957)
+++ /branches/CEDMA-Refactoring-Ticket419/HeuristicLab.CEDMA.Core/Problem.cs	(revision 957)
@@ -0,0 +1,43 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Core;
+using System.Xml;
+using HeuristicLab.CEDMA.DB.Interfaces;
+using HeuristicLab.Operators;
+
+namespace HeuristicLab.CEDMA.Core {
+  /// <summary>
+  /// Problem describes the data mining task.
+  /// Contains the actual data and meta-data:
+  ///  * which variables should be modelled 
+  ///  * regression, time-series or classification problem
+  /// </summary>
+  public class Problem {
+    public Problem()
+      : base() {
+    }
+  }
+}
